%define ver 0.92.2
%define fversion %ver
%define __libtoolize true
Summary: A gtk+ based diagram creation program.
Name: dia
Version: %ver
Release: 1mdk
License: GPL
Group: Office
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%version/%{name}-%{fversion}.tar.bz2
Source2: %{name}_icons.tar.bz2
# NOTE: the following two patches are against aclocal.m4
Patch3: dia-0.91-lib64.patch.bz2
Patch4: dia-0.92-pre4-libtool.patch.bz2
URL: http://www.lysator.liu.se/~alla/dia/dia.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	docbook-utils
BuildRequires:	pygtk2.0
BuildRequires:	python-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	png-devel
BuildRequires:	libxslt-devel
BuildRequires:	autoconf2.5
Requires:	XFree86-ISO8859-2-75dpi-fonts
Requires:	pygtk2.0

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q -n %name-%fversion
%patch3 -p1 -b .lib64
%patch4 -b .libtool
# Let it find python libraries gracefully
perl -pi -e "s,/lib/(python),/%{_lib}/\1,g" configure

bzcat %{SOURCE2} | tar xf -

%build

autoconf-2.5x
automake-1.4
%configure2_5x --enable-gnome --with-python


%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="x11" section="Office/Graphs" title="Dia" longtitle="A gtk+ based diagram creation program" command="%{_bindir}/dia" icon="dia.png"
EOF
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}

install -m 644 %{name}_16.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 %{name}_32.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 %{name}_48.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%{find_lang} %{name} --with-gnome

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS
%{_bindir}/*
%{_libdir}/dia
%{_mandir}/*/*
%{_datadir}/dia
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/dia.desktop
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.92.2-1mdk
- rediff patch 4
- fix libtool build
- update file list
- drop unused patches
- new version

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.91-9mdk
- libtool & lib64 fixes

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.91-8mdk
- Patch2 (CVS): fix font size (Mdk bug 5343)

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandraksoft.com> 0.91-7mdk
- Fix BuildRequires


* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 0.91-6mdk
- Add missing BuildRequires and nuke useless ones

* Thu Aug 07 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.91-5mdk
- python 2.3

* Sat Jul 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-4mdk
- rebuild for new orbit

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-3mdk
- patch1: fix gcc 3.3 preprocessor stuff

* Tue Apr 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-2mdk
- fix xslt stylesheet location
- fix xslt plugin

* Wed Apr  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-1mdk
- needs pygtk2.0
- fix source url
- new version
- fix buildrequires
- drop patches 

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.90-5mdk
- Patch2: Fixes for 64-bit platforms

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.90-4mdk
- Poor man's perl'ification to let it find the correct python path

* Sun Nov 17 2002 Stefan van der Eijk <stefan@eijk.nu> 0.90-3mdk
- BuildRequires

* Thu Jun 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.90-2mdk
- png icon
- Disable gnome-print support, it is somehow broken

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.90-1mdk
- Release 0.90
- Remove patches 0, 1 & 2 (merged upstream)

* Thu Mar  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-7mdk
- Patch2 (GNOME CVS): fix crash in tools menu (bug 55047)

* Fri Jan 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.88.1-6mdk
- BuildRequires

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-5mdk
- Recompiled against python 2.2

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-4mdk
- Patch0 (Rawhide): disable doc generation (broken)
- Patch1 (Rawhide): fix text rendering

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-3mdk
- Add missing BuildRequires

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-2mdk
- new office menu structure
- embed menu entry in specfile
- Add dependency on pygtk (for plugins)
- Reactivate xim
- configure macro is back

* Mon May 21 2001 Vincent Saugey <vince@mandrakesoft.com> 0.88.1-1mdk
- Up to 0.88.1


* Mon May 14 2001 Vincent Saugey <vince@mandrakesoft.com> 0.88-1mdk
- UP to 0.88
- reactivate bonobo support
- reactivate gnome support

* Mon Apr 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.86-6mdk
- Add locales (really)
- Disable GNOME support (seems to break i18n)
- Disable Bonobo support (since GNOME is needed to support Bonobo)
- Remove patch0

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.86-5mdk
- Recompiled against oaf 0.6.2

* Fri Jan 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.86-4mdk
- Recompiled against last bonobo
- Add missing files
- Bzip patch

* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.86-3mdk
- recompiled with gnome-print 0.24

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.86-2mdk
- Adding many icons on various format

* Mon Aug  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.86-1mdk
- Up to 0.86

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-2mdk
- macroszification
- rebuild for BM

* Fri May 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.85-1mdk
- Up to 0.85

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 0.84-6mdk
- add buildrequires libxml

* Fri May  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-5mdk
- Remove locale to prevent crash

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-4mdk
- Add dependencie to ISO font

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-3mdk
- Corrected group
- Add icon

* Mon Mar 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-2mdk
- add menu


* Mon Mar 07 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-1mdk
- v0.84


* Mon Jan 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 
- v0.83
- used srpm provided by Gwenael Letellier <gwenael@linux-mandrake.com>


* Mon Dec 20 1999 Lenny Cartier <lenny@mandrakesoft.com>
 
- bz2 archive
 
* Fri Dec 17 1999 Frederic Lepied <flepied@mandrakesoft.com>
 
- 0.82
- first mandrake version.
 
* Sun Oct 17 1999 Miles Lott <milos@insync.net>
 
- Build for 0.80
- added version string to setup line
 
* Sun Sep 05 1999 James Henstridge <james@daa.com.au>
 
- added $(prefix)/share/dia to files list.
 
* Thu Apr 29 1999 Enrico Scholz <enrico.scholz@wirtschaft.tu-chemnitz.de>
 
- Made %setup quiet
- Enabled build from cvs
- Removed superfluous mkdir's
- using DESTDIR and install-strip
 
* Fri Aug 28 1998 Francis J. Lacoste <francis@Contre.COM>
 
- First RPM release.
                        


